#include "opencv2/opencv.hpp"

int main (int argc, char *argv[])
{
	cv::Mat bgra = cv::imread("../MagnoliaAlpha-0.5.png",cv::IMREAD_UNCHANGED); //from http://www.libpng.org/pub/png/png-MagnoliaAlpha.html
	if (bgra.empty()) return -1;
    cv::Mat b, g, r, a;
    cv::Mat channels[4];
    cv::split(bgra,channels);
    cv::Mat foreground, alpha;
    cv::merge(channels,3,foreground);
    cv::Mat alphaChannels[] = {channels[3], channels[3], channels[3]};
    cv::merge(alphaChannels,3,alpha);

    cv::Mat w(alpha.size(),CV_32FC3,cv::Scalar(0));
    w.setTo(cv::Scalar(1,1,1),(alpha > 230));

    cv::Mat background = cv::imread("../Seaside.png",cv::IMREAD_COLOR);
    cv::imshow("blended",background);
    cv::waitKey(0);

    foreground.convertTo(foreground,CV_32F);
    background.convertTo(background,CV_32F);
    cv::Mat foreground_addent, background_addent;
    cv::multiply(foreground,w,foreground_addent);
    cv::multiply(background,cv::Scalar(1,1,1)-w,background_addent);
    cv::Mat blended = foreground_addent + background_addent;
    blended.convertTo(blended,CV_8U);

	cv::imshow("blended",blended);
	cv::waitKey(0);
    cv::imwrite("blended.png",blended);
    cv::destroyAllWindows();
	return 0;
}
