import cv2
import numpy as np 

foreground = cv2.imread("../Airplane.png",cv2.IMREAD_COLOR)
background = cv2.imread("../Seaside.png",cv2.IMREAD_COLOR)

polygon = np.array([ [2,55], [14,41], [180,31], [199,62], [171,88], [17,81] ], np.int32)

mask = np.zeros(foreground.shape, np.uint8)
cv2.fillPoly(mask, [polygon], (255,255,255))

pivot = (470,70)
#pivot = (400,140)

cloned = cv2.seamlessClone(foreground, background, mask, pivot, cv2.NORMAL_CLONE)
#cloned = cv2.seamlessClone(foreground, background, mask, pivot, cv2.MIXED_CLONE)

cv2.imshow("Seamless Cloning", background)
cv2.waitKey(0)
cv2.imshow("Seamless Cloning", cloned)
cv2.waitKey(0)
cv2.destroyAllWindows()
cv2.imwrite("cloned.png", cloned)
